// 音再生用のライブラリをロード
import ddf.minim.signals.*;
import ddf.minim.*;

// 音再生用
Minim minim;
AudioOutput out;

// 現在の音程を格納する変数を定義
// 1回目は0とするために初期値は-1とする
int currentToneID = -1;
SineWave sine;

// toneIDを与えると、適切な周波数を返すようにする！
float getFrequency( int toneID )
{
  // ここを完成させる
  // toneIDにcurrentToneIDを代入しているが、本来はグローバル変数をそのまま使っても良い
  // ちなみに、今は、何が入力されても、261.6Hzを返すようになっている
  // 今回は関数を完成させるだけなので愚直でも良いけど、スマートに書けると良いね！



  return 261.6;
}

void setup() {
  // ウインドウサイズは適当
  // 現在の音程を表示するプログラムに変更しても良いですよ
  size(150, 150);

  // 音再生のための準備  
  minim = new Minim( this );
  out = minim.getLineOut( Minim.STEREO );
  sine = new SineWave( 0, 1, out.sampleRate() );
  out.addSignal( sine );
}

void draw() {
}

void keyPressed() {
  if ( keyCode == UP ) {
    currentToneID ++;
    sine.setFreq( getFrequency(currentToneID) );
    println( "ToneID：" + currentToneID );
  } else if ( keyCode == DOWN ) {
    currentToneID --; 
    if ( currentToneID < 0 ) {
      currentToneID = 0;
    }
    println( "ToneID：" + currentToneID );
    sine.setFreq( getFrequency(currentToneID) );
  }
}
